Page MenuHomeFreeBSD

Change the installer default to not install ports
ClosedPublic

Authored by swills on Jan 26 2018, 10:32 PM.

Details

Summary

Change the installer default packages to not install ports

Test Plan

Build install CD and run in local VM

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

swills created this revision.Jan 26 2018, 10:32 PM
gjb accepted this revision.Jan 28 2018, 12:15 AM
This revision is now accepted and ready to land.Jan 28 2018, 12:15 AM
allanjude accepted this revision.Jan 28 2018, 12:16 AM

Maybe as a separate change, but is it time to stop shipping lib32 by default as well?

gjb added a comment.Jan 28 2018, 12:22 AM

Maybe as a separate change, but is it time to stop shipping lib32 by default as well?

No. Disabling 32-bit compatibility by default without following the proper deprecation procedures (despite it being enabled if toggled) is, IMHO, a POLA violation.

mat accepted this revision as: portmgr.Jan 28 2018, 8:49 AM
stevek added a subscriber: stevek.EditedJan 28 2018, 8:06 PM

Maybe as a separate change, but is it time to stop shipping lib32 by default as well?

We had discussed this at the Triangle BUG meeting this past week, but one problem that needs a solution if that were to be done is dealing with ports that build as 32-bit only. Having some way to be able to have the port have a dependency on lib32 and to be able to fetch/install it.

I suppose at minimal there could be a message displayed if the 32-bit libs are not installed, but without pkg base, that might be a best guess, since there's not dependency info for it normally.

Although I guess if one were to uncheck the lib32 box currently, there would still be the same issue today.

dteske accepted this revision.Jan 30 2018, 12:22 AM
bdrewery accepted this revision.Jan 30 2018, 2:03 AM
bdrewery added a subscriber: bdrewery.

+1 ports -1 lib32

This revision was automatically updated to reflect the committed changes.